View Issue Details

IDProjectCategoryView StatusLast Update
0003767SymmetricDSImprovementpublic2018-10-31 14:59
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.15Fixed in Version3.9.15 
Summary0003767: Kafka performance improvements
DescriptionKafka producer was being constructed and closed multiple times per batch potentially based on configuration. This is now done once per batch.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 29dc3774

2018-10-29 12:58:10

josh-a-hicks

Details Diff
0003767: Kafka performance improvements
0003767
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/KafkaWriterFilter.java Diff File

Issue History

Date Modified Username Field Change
2018-10-25 10:37 josh-a-hicks New Issue
2018-10-25 10:37 josh-a-hicks Status new => assigned
2018-10-25 10:37 josh-a-hicks Assigned To => josh-a-hicks
2018-10-30 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 29dc3774
2018-10-31 14:18 admin Status assigned => resolved
2018-10-31 14:18 admin Resolution open => fixed
2018-10-31 14:18 admin Fixed in Version => 3.9.15
2018-10-31 14:59 mmichalek Status resolved => closed